.form-wrapper {
    font-family: "Inter", system-ui, sans-serif;
    font-weight: 600;
    background-color: hsl(0 0% 95%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.form-container {
    background: hsl(0 0% 100%);
    padding: 2rem 3rem;
    border-radius: 10px;
    border: 1px solid hsl(0 0% 90%);
    box-shadow: 0 0 20px hsla(0, 0%, 0%, 0.1);
    max-width: 600px;
    min-width: 360px;
    margin: 0 1rem;
    margin-top: 1rem;
}

.form-container>p {
    font-family: "Inter", system-ui, sans-serif;
    font-weight: 400;
    font-size: 1rem;
    margin-bottom: 1.5rem;
    color: hsl(0 0% 0%);
}

.step {
    display: none;
    flex-direction: column;
    gap: 1rem;
    flex: 1 1 auto;
}

.step.active {
    display: flex;
    animation: fadeInSlide 0.4s ease-out;
    flex: 1 1 auto;
    height: 100%;
    min-height: 300px;
}

@keyframes fadeInSlide {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

input,
select,
textarea {
    padding: 0.75rem;
    font-size: 1rem;
    border-radius: 10px;
    border: 1px solid hsl(0 0% 80%);
}

.button-group {
    display: flex;
    justify-content: space-between;
    margin-top: auto;
}

button {
    padding: 0.75rem 1.5rem;
    border-radius: 10px;
    font-weight: 600;
    border: 1px solid hsl(0 0% 80%);
    cursor: pointer;
    font-size: 1rem;
    transition: transform 0.2s ease;
    will-change: transform;
    backface-visibility: hidden;
}

button:hover {
    transform: scale(1.05) translateZ(0);
}

button.next {
    background-color: hsl(225 100% 50%);
    color: hsl(0 0% 100%);
}

button.prev {
    background-color: hsl(0 0% 95%);
}

.card-group {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.card-group label {
    flex: 1 1 calc(50% - 1rem);
    padding: 1rem;
    border: 1px solid hsl(0 0% 80%);
    border-radius: 12px;
    text-align: center;
    cursor: pointer;
    background: hsl(0 0% 95%);
    transition: transform 0.2s ease;
    will-change: transform;
    backface-visibility: hidden;
}

.card-group label:hover {
    transform: scale(1.05) translateZ(0);
}

.card-group input[type="radio"] {
    display: none;
}

.card-group input[type="radio"]:checked+label {
    border-color: hsl(225 100% 50%);
    background: hsl(225 100% 95%);
    color: hsl(225 100% 50%);
    font-weight: 600;
}

.success-message h3,
.success-message p {
    color: hsl(0 0% 0%);
}

html {
    scrollbar-gutter: stable;
}

@media (max-width: 632px) {
    .form-container {
        padding: 1.25rem;
        margin-top: 0.5rem;
    }

    .pad-top-btm-xl {
        padding-block: 0;
    }
}